//
//  MesonBannerSKStoreManager.swift
//  MesonWrap
//
//  Created by Iti Agrawal on 15/02/21.
//  Copyright © 2021 InMobi. All rights reserved.
//

import Foundation
import UIKit
@objc public class MesonBannerSKStoreManager: MesonSKStoreManager {
    
    /// Start Meson's SKStore Manager, handles opening skstore and do download download attribution.
    /// - Parameters:
    ///   - adObject: The banner ad object of primary mediation partner.
    ///   - delegate: The delegate to receive skstore callbacks.
    @objc public func start(adObject: UIView, delegate: MesonSkStoreManagerDelegate) {
        self.adWebView = MesonSkanUtils.getWebView(view: adObject)
        self.delegate = delegate
        self.start()
    }
}
