//
//  MesonInterstitialSKStoreManager.swift
//  MesonWrap
//
//  Created by Iti Agrawal on 15/02/21.
//  Copyright © 2021 InMobi. All rights reserved.
//

import Foundation

@objc public class MesonInterstitialSKStoreManager: MesonSKStoreManager {
    
    /// Start Meson's SKStore Manager, handles opening skstore and do download download attribution.
    /// - Parameter delegate: The delegate to receive skstore callbacks.
    @objc public func start(delegate: MesonSkStoreManagerDelegate) {
        if let topVC = MesonSkanUtils.getTopMostVC() {
            self.adWebView = MesonSkanUtils.getWebView(view: topVC.view)
        }
        self.delegate = delegate
        self.start()
    }
}
